Вопрос Какой пакет марионеток выпустить на выбор?


При взгляде на http://apt.puppetlabs.com/ есть пакеты puppetlabs, для разных выпусков Debian и Ubuntu. Но кроме этого существует стандартное издание (например, puppetlabs-release-trusty.deb) и кукольный коллектив 1 издания (например, puppetlabs-release-pc1-trusty.deb).

Вопросов

  • Каковы различия?
  • Какую версию марионетки поддерживают разные пакеты?

2
2017-11-23 07:49


происхождения




ответы:


Используйте пакет PC1, т.е. puppetlabs-release-pc1-trusty.deb,

puppetlabs-release-trusty.deb пакет предназначен для репозиториев Puppet 3. Кукольный 3 идет в конце 2016 года в конце срока службы (EOL), поэтому его не следует устанавливать на новые системы. Он также не содержит пакетов для Ubuntu 16.04.

Репозитории Puppet Collection 1 (PC1) были созданы для предоставления пакетов Puppet 4 и «все-в-одном» (AIO), которые содержат все зависимости, необходимые для запуска Puppet. Вы должны использовать этот репозиторий и установить puppet-agent для агентов и puppetserver для мастера.

Больше информации:


4
2017-11-23 08:45